Bug 1339275 - rpmdeplint: Accept packages to test instead of a repository
Summary: rpmdeplint: Accept packages to test instead of a repository
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: rpmdeplint
Classification: Community
Component: cli
Version: unreleased
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 1.0
Assignee: Roman Joost
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1335402
TreeView+ depends on / blocked
 
Reported: 2016-05-24 14:21 UTC by Roman Joost
Modified: 2016-07-25 00:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 23:51:54 UTC


Attachments (Terms of Use)

Description Roman Joost 2016-05-24 14:21:51 UTC
Instead of accepting a test repository, it should also be possible to provide a set of packages to test against.

Comment 1 Dan Callaghan 2016-05-24 14:37:36 UTC
I think we should accept the packages as positional args, not an option, to make it easy to just pass a glob like *.rpm (after you download the RPMs from Koji or whatnot).

Comment 2 Roman Joost 2016-05-24 18:46:35 UTC
Patch available:

https://gerrit.beaker-project.org/#/c/4931/

Comment 3 Roman Joost 2016-07-19 23:51:54 UTC
This is released with rpmdeplint 1.0 available on Fedora Copr:

https://copr.fedorainfracloud.org/coprs/dcallagh/rpmdeplint/

for RHEL 7 (EPEL), F23, F24 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.